Envie
ReferenceApi

Get the shopper's wishlist

GET
/v1/storefront/wishlist

Query Parameters

aid?string

Anonymous id. Ignored when the caller is an authenticated customer.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v1/storefront/wishlist"
{  "id": "string",  "owner": {    "type": "customer",    "customerId": "string"  },  "name": "string",  "default": true,  "count": 0,  "items": [    {      "id": "string",      "productId": "string",      "variantId": "string",      "handle": "string",      "titleSnapshot": "string",      "addedAt": "2019-08-24T14:15:22Z"    }  ],  "share": {    "enabled": true,    "token": "string"  },  "updatedAt": "2019-08-24T14:15:22Z"}